image: maven:3.8.1-adoptopenjdk-11


stages:
  - test
  - package
  - build and publish

test-maven:
  stage: test
  script : "cd springbootproject && mvn test"

maven-build:
  image: maven:3-jdk-11
  stage: package
  script: "cd springbootproject && mvn clean package"
  artifacts:
    paths:
      - springbootproject/target/*.jar

docker-build:
  services : 
    - docker:dind
  stage: build and publish
  image : docker:dind
  script:
  - docker build -t lyrus01/sb_proj ./springbootproject
  - docker login -u lyrus01 -p Youssef99
  - docker push lyrus01/sb_proj